| FlexDoc/XML XSDDoc Demo | XML Schemas for DITA 1.1

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "topicMod.xsd"
Target Namespace:
{no namespace}
Defined Components:
elements (18 global), complexTypes (17), simpleTypes (2), element groups (4), attribute groups (1)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: qualified
Schema Location:
https://www.flexdoc.xyz/demo/xsd/dita11/topicMod.xsd; see XML source
Imports Schemas (2):
ditaarch.xsd [src], xml.xsd [src]
Redefined in Schemas (1):
ditabase.xsd [src]

All Element Summary
abstract |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of abstract.class)
Content: | mixed, 17 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
body |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of body.class)
Content: | complex, 17 attributes, 27 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <body> element is the container for the main content of a <topic>.
example |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of example.class)
Content: | mixed, 18 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <example> element is a section with the specific role of containing examples that illustrate or support the current topic. »
link |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of link.class)
Content: | complex, 25 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <link> element defines a relationship to another topic. »
linkinfo |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of linkinfo.class)
Content: | mixed, 16 attributes, 48 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <linkinfo> element allows you to place a descriptive paragraph following a list of links in a linklist element.
linklist |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of linklist.class)
Content: | complex, 26 attributes, 5 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <linklist> element defines an author-arranged group of links. »
linkpool |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of linkpool.class)
Content: | complex, 25 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <linkpool> element defines a group of links that have common characteristics, such as type or audience or source. »
linktext |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of linktext.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <linktext> element provides the literal label or line of text for a link. »
metadata |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of metadata.class)
Content: | complex, 17 attributes, 9 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <metadata> section of the prolog contains information about a topic such as audience and product information. »
navtitle |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of navtitle.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The navigation title (<navtitle>) element is one of a set of alternate titles that can be included inside the <titlealts> element. »
no-topic-nesting |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of no-topic-nesting.class)
Content: | empty, 3 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <no-topic-nesting> element is a placeholder in the DITA architecture. »
prolog |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of prolog.class)
Content: | complex, 16 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <prolog> element contains information about the topic as an whole (for example, author information or subject category) that is either entered by the author or machine-maintained. »
related-links |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of related-links.class)
Content: | complex, 22 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The related information links of a topic (<related-links> element) are stored in a special section following the body of the topic. »
searchtitle |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of searchtitle.class)
Content: | mixed, 16 attributes, 13 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
When your DITA topic is transformed to XHTML, the <searchtitle> element is used to create a title element at the top of the resulting HTML file. »
section |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of section.class)
Content: | mixed, 18 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <section> element represents an organizational division in a topic. »
shortdesc |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of shortdesc.class)
Content: | mixed, 17 attributes, 33 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The short description (<shortdesc>) element occurs between the topic title and the topic body, as the initial paragraph-like content of a topic. »
titlealts |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of titlealts.class)
Content: | complex, 16 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The alternate title element (<titlealts>) is optional, but can occur after the topic title. »
topic |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of topic.class)
Content: | complex, 20 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 2 locations
The <topic> element is the top-level DITA element for a single-subject topic or article. »

Complex Type Summary
abstract.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 16 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
body.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 27 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
example.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
link.class |
Namespace: | {no namespace}
Content: | complex, 24 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declarations of 6 attributes
Referenced: | by 1 location
linkinfo.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 48 elements
Defined: | globally; see XML source
Referenced: | by 1 location
linklist.class |
Namespace: | {no namespace}
Content: | complex, 25 attributes, 5 elements
Defined: | globally; see XML source
Includes: | declarations of 7 attributes
Referenced: | by 1 location
linkpool.class |
Namespace: | {no namespace}
Content: | complex, 24 attributes, 2 elements
Defined: | globally; see XML source
Includes: | declarations of 6 attributes
Referenced: | by 1 location
linktext.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
metadata.class |
Namespace: | {no namespace}
Content: | complex, 16 attributes, 9 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
navtitle.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
no-topic-nesting.class |
Namespace: | {no namespace}
Content: | empty, 2 attributes
Defined: | globally; see XML source
Referenced: | by 1 location
prolog.class |
Namespace: | {no namespace}
Content: | complex, 15 attributes, 12 elements
Defined: | globally; see XML source
Referenced: | by 1 location
related-links.class |
Namespace: | {no namespace}
Content: | complex, 21 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
searchtitle.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 15 attributes, 13 elements
Defined: | globally; see XML source
Referenced: | by 1 location
section.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 17 attributes, 60 elements
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
titlealts.class |
Namespace: | {no namespace}
Content: | complex, 15 attributes, 2 elements
Defined: | globally; see XML source
Referenced: | by 1 location
topic.class (ver 1) |
Namespace: | {no namespace}
Content: | complex, 18 attributes, 12 elements
Defined: | globally; see XML source
Includes: | declarations of 4 attributes
Redefined: | with topic.class in ditabase.xsd
Referenced: | by 1 location

Simple Type Summary
collection-type.class |
Namespace: | {no namespace}
Derived By: | restriction of xs:string
Defined: | globally; see XML source
Referenced: | by 2 locations
topicreftypes-att.class |
Namespace: | {no namespace}
Derived By: | restriction of xs:string
Defined: | globally; see XML source
Referenced: | never

Element Group Summary
body.cnt |
Namespace: | {no namespace}
Content: | 25 elements
Defined: | globally; see XML source
Referenced: | by 2 locations
section.cnt |
Namespace: | {no namespace}
Content: | 60 elements
Defined: | globally; see XML source
Referenced: | by 3 locations
section.notitle.cnt |
Namespace: | {no namespace}
Content: | 59 elements
Defined: | globally; see XML source
Referenced: | by 6 locations
topic-info-types (ver 1) |
Namespace: | {no namespace}
Content: | 6 elements
Defined: | globally; see XML source
Redefined: | with topic-info-types in ditabase.xsd
Referenced: | never

Attribute Group Summary
rel-atts |
Namespace: | {no namespace}
Content: | 3 attributes
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 4 locations
Relational attributes (<%rel-atts;>) is a parameter entity declaration in the topic DTD that includes attributes whose values may be used for representing navigational relationships. »

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.